Subject: Re: bug#72495: `guix --version` not really helpful

From: Simon Tournier <[email-masked]>
Date: Tue, 10 Sep 2024 15:16:30 +0200

Hi,

On Tue, 06 Aug 2024 at 12:14, Stéfane Fermigier <[email-masked]> wrote:
> When I type:
>
> guix --version
>
> I get:
>
> guix (GNU Guix) 6689a96ce86497299bd29f183b744116fd2d6e32
>
> That's not really helpful (i.e. it doesn't tell how old / up to date my system is). A proper version number (e.g. "x.y.z-devel", etc.) and/or a date
> would be nice.

Maybe what you want is “guix describe”.  For instance, it outputs:

    $ guix describe
    Generation 8	Sep 09 2024 15:14:29	(current)
      guix 056910e
        repository URL: https://git.savannah.gnu.org/git/guix.git
        commit: 056910ec864cb7cf3225a0c27679d94405db7dcd

It does not tell how old or up-to-date your system is but it informs you
about your last “guix pull”.  It seems a good starts.

About a proper version number, I am not convinced it suits well some
rolling-release.  Troll inside. ;-)

Cheers,
simon